<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">sdkInterfaces</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">AVSConnectionManagerInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_a_v_s_connection_manager_interface_8h_source.html">AVSConnectionManagerInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html" title="alexaClientSDK::avsCommon\l::avs::AbstractAVSConnectionManager" alt="" coords="262,109,514,148"/>
<area shape="rect" id="node7" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_a_v_s_connection_manager.html" title="Mock class that implements AVSCOnnectionManagerInterface. " alt="" coords="288,172,487,224"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html" title="alexaClientSDK::acl\l::AVSConnectionManager" alt="" coords="598,5,773,44"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_connection.html" title="alexaClientSDK::capability\lAgents::settings::test\l::MockConnection" alt="" coords="597,68,774,120"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html" title="alexaClientSDK::capability\lAgents::system::test::MockConnection" alt="" coords="562,144,810,183"/>
<area shape="rect" id="node6" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_connection.html" title="alexaClientSDK::certified\lSender::test::MockConnection" alt="" coords="586,207,786,245"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a03a04806a7934652335de261989b109e"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a03a04806a7934652335de261989b109e">ConnectionStatusObserverInterface</a> = <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td></tr>
<tr class="memdesc:a03a04806a7934652335de261989b109e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type alias for brevity.  <a href="#a03a04806a7934652335de261989b109e">More...</a><br /></td></tr>
<tr class="separator:a03a04806a7934652335de261989b109e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab45f6ca8f8e5e207f85639ab213b4654"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#ab45f6ca8f8e5e207f85639ab213b4654">~AVSConnectionManagerInterface</a> ()=default</td></tr>
<tr class="separator:ab45f6ca8f8e5e207f85639ab213b4654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ddd9e49f66a82b30294d06fc4103b7c"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a7ddd9e49f66a82b30294d06fc4103b7c">enable</a> ()=0</td></tr>
<tr class="separator:a7ddd9e49f66a82b30294d06fc4103b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b0e2f0621475d477a5600a22c0856a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#af7b0e2f0621475d477a5600a22c0856a">disable</a> ()=0</td></tr>
<tr class="separator:af7b0e2f0621475d477a5600a22c0856a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd629c8df953df0b7eb1db0a8e0ae4b8"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#acd629c8df953df0b7eb1db0a8e0ae4b8">isEnabled</a> ()=0</td></tr>
<tr class="separator:acd629c8df953df0b7eb1db0a8e0ae4b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47da5e13e61b698e761f5d6ffd6d82af"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a47da5e13e61b698e761f5d6ffd6d82af">reconnect</a> ()=0</td></tr>
<tr class="separator:a47da5e13e61b698e761f5d6ffd6d82af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3832bf7cd234df56ac25468a711528b1"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a3832bf7cd234df56ac25468a711528b1">isConnected</a> () const =0</td></tr>
<tr class="separator:a3832bf7cd234df56ac25468a711528b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59cef4c3ad790f2e83cf749c58f6d762"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a59cef4c3ad790f2e83cf749c58f6d762">addMessageObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_observer_interface.html">avsCommon::sdkInterfaces::MessageObserverInterface</a> &gt; observer)=0</td></tr>
<tr class="separator:a59cef4c3ad790f2e83cf749c58f6d762"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918925ff3e2c866ac3a41e30aa3247a7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a918925ff3e2c866ac3a41e30aa3247a7">removeMessageObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_observer_interface.html">avsCommon::sdkInterfaces::MessageObserverInterface</a> &gt; observer)=0</td></tr>
<tr class="separator:a918925ff3e2c866ac3a41e30aa3247a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0999e8ac4fced4973046c56128e0221d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a0999e8ac4fced4973046c56128e0221d">addConnectionStatusObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a03a04806a7934652335de261989b109e">ConnectionStatusObserverInterface</a> &gt; observer)=0</td></tr>
<tr class="separator:a0999e8ac4fced4973046c56128e0221d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7c477da1dce9926a7b4eaeda9d5c2af"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#ad7c477da1dce9926a7b4eaeda9d5c2af">removeConnectionStatusObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a03a04806a7934652335de261989b109e">ConnectionStatusObserverInterface</a> &gt; observer)=0</td></tr>
<tr class="separator:ad7c477da1dce9926a7b4eaeda9d5c2af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This class reflects a connection to AVS and how it may be observed. </p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a03a04806a7934652335de261989b109e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03a04806a7934652335de261989b109e">&#9670;&nbsp;</a></span>ConnectionStatusObserverInterface</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a03a04806a7934652335de261989b109e">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::ConnectionStatusObserverInterface</a> =  <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Type alias for brevity. </p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab45f6ca8f8e5e207f85639ab213b4654"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab45f6ca8f8e5e207f85639ab213b4654">&#9670;&nbsp;</a></span>~AVSConnectionManagerInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::~AVSConnectionManagerInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0999e8ac4fced4973046c56128e0221d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0999e8ac4fced4973046c56128e0221d">&#9670;&nbsp;</a></span>addConnectionStatusObserver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::addConnectionStatusObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a03a04806a7934652335de261989b109e">ConnectionStatusObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>observer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Adds an observer to be notified of connection status changes. The observer will be notified of the current connection status before this function returns.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">observer</td><td>The observer to add. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a59cef4c3ad790f2e83cf749c58f6d762"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59cef4c3ad790f2e83cf749c58f6d762">&#9670;&nbsp;</a></span>addMessageObserver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::addMessageObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_observer_interface.html">avsCommon::sdkInterfaces::MessageObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>observer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Adds an observer to be notified of message receptions.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">observer</td><td>The observer object to add. </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#a0ba0607327e74828015f65549f5b0778">alexaClientSDK::acl::AVSConnectionManager</a>.</p>

</div>
</div>
<a id="af7b0e2f0621475d477a5600a22c0856a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7b0e2f0621475d477a5600a22c0856a">&#9670;&nbsp;</a></span>disable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::disable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Disable the AVSConnectionManager object. If the object is currently connected to AVS, then calling this function will cause the connection to be closed. If the object is not connected, then calling this function will do nothing. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#a57150af5791f43ae52dbd9c0e28b1812">alexaClientSDK::acl::AVSConnectionManager</a>.</p>

</div>
</div>
<a id="a7ddd9e49f66a82b30294d06fc4103b7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ddd9e49f66a82b30294d06fc4103b7c">&#9670;&nbsp;</a></span>enable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::enable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Enable the AVSConnectionManager object to make connections to AVS. Once enabled, the object will attempt to create a connection to AVS. If the object is already connected, this function will do nothing. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#a62b39ba16205e494f27cc0ba3d3ff0e0">alexaClientSDK::acl::AVSConnectionManager</a>.</p>

</div>
</div>
<a id="a3832bf7cd234df56ac25468a711528b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3832bf7cd234df56ac25468a711528b1">&#9670;&nbsp;</a></span>isConnected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::isConnected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns whether the AVS connection is established. If the connection is pending, <code>false</code> will be returned.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the AVS connection is established. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_connection.html#a1c0989e52c4dc75c5522b63f95c66951">alexaClientSDK::capabilityAgents::settings::test::MockConnection</a>, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a172550bdeb2bdd755f51eeefcf234eff">alexaClientSDK::capabilityAgents::system::test::MockConnection</a>, and <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#abdfbe27be40332e251dd2b39c8ad5489">alexaClientSDK::acl::AVSConnectionManager</a>.</p>

</div>
</div>
<a id="acd629c8df953df0b7eb1db0a8e0ae4b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd629c8df953df0b7eb1db0a8e0ae4b8">&#9670;&nbsp;</a></span>isEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::isEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns if the object is enabled for making connections to AVS.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether this Connection object is enabled to make connections. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#ac0fe9671ca2086f8cb674af7c204c4fc">alexaClientSDK::acl::AVSConnectionManager</a>.</p>

</div>
</div>
<a id="a47da5e13e61b698e761f5d6ffd6d82af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47da5e13e61b698e761f5d6ffd6d82af">&#9670;&nbsp;</a></span>reconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::reconnect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This function causes the object, if enabled, to create new connection to AVS. If the object is already connected, then that connection will be closed and a new one created. If the object is not connected, but perhaps in the process of waiting for its next connection attempt, then its waiting policy will be reset and it will attempt to create a new connection immediately. If the object is disabled, then this function will do nothing. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#a2092d27364c7e6bcb221b8e461f8a1ff">alexaClientSDK::acl::AVSConnectionManager</a>.</p>

</div>
</div>
<a id="ad7c477da1dce9926a7b4eaeda9d5c2af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7c477da1dce9926a7b4eaeda9d5c2af">&#9670;&nbsp;</a></span>removeConnectionStatusObserver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::removeConnectionStatusObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a03a04806a7934652335de261989b109e">ConnectionStatusObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>observer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Removes an observer from being notified of connection status changes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">observer</td><td>The observer to remove. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a918925ff3e2c866ac3a41e30aa3247a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a918925ff3e2c866ac3a41e30aa3247a7">&#9670;&nbsp;</a></span>removeMessageObserver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::removeMessageObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_observer_interface.html">avsCommon::sdkInterfaces::MessageObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>observer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Removes an observer from being notified of message receptions.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">observer</td><td>The observer object to remove. </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#aa3cd09a69fec004d9f2224c787263e91">alexaClientSDK::acl::AVSConnectionManager</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/<a class="el" href="_a_v_s_connection_manager_interface_8h_source.html">AVSConnectionManagerInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
